@mixin editable-popout {
  .editable-wrap {
    margin: -8px;
  }

  .editable {
    padding: 8px;

    &:focus,
    &.editable-changed {
      border: 1px solid $primary;
      box-shadow: 7px 7px 7px rgba(0, 0, 0, 0.3);
      padding: 7px;
    }
  }

  .editable-controls {
    @include td-margin(left, -8px);
  }
}

@mixin editable-form-control {
  .editable {
    border: 1px solid #fff0;
    line-height: 1.42857;
    padding: 6px 12px;
    transition: box-shadow ease-in-out 0.15s;

    &:focus,
    &.editable-changed {
      border: 1px solid #ccc;
      border-radius: 4px;
      box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.08);
      color: #555;
    }
  }
}
